package rozwiazania_zadan.r1.z03_szewc.b_wersje_poprawne;

import javax.swing.JOptionPane;

public class Szewc6_Modulo {

	public static void main(String[] args) {
		int poczatek = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia kiedy oddajesz buty do naprawy"));
		int czasNaprawy = Integer.parseInt(JOptionPane.showInputDialog("Ile dni potrwa naprawa?"));
		
		int koniec = (poczatek + czasNaprawy) % 7;

		// technika aby wyniki były z zakresu od 1 do 7
		// int koniec = (poczatek + czasNaprawy - 1) % 7 + 1;
		
		JOptionPane.showMessageDialog(null, "Buty będą do odbioru w dniu nr " + koniec);
		String nazwa = nazwaDniaTygodnia(koniec);
		JOptionPane.showMessageDialog(null, "Ten dzień to " + nazwa);
	}

	public static String nazwaDniaTygodnia(int koniec) {
		switch(koniec) {
		case 0: case 7: return "niedziela";
		case 1: return "poniedziałek";
		case 2: return "wtorek";
		case 3: return "środa";
		case 4: return "czwartek";
		case 5: return "piątek";
		case 6: return "sobota";
		default: return "Dzień poza zakresem";
		}
	}

}
